cvs: php4(PHP_4_3) / configure.in /build buildcheck.sh
| From: | Jani Taskinen | Date: | Tue, 11 Feb 2003 21:11:52 +0000 |
| Subject: | cvs: php4(PHP_4_3) / configure.in /build buildcheck.sh | ||
| Groups: | php.cvs | ||
| Request: | Send a blank email to php-cvs+get-18686@lists.php.net to get a copy of this message | ||
sniper Tue Feb 11 16:11:52 2003 EDT
Modified files: (Branch: PHP_4_3)
/php4 configure.in
/php4/build buildcheck.sh
Log:
MFH
Index: php4/configure.in
diff -u php4/configure.in:1.396.2.29 php4/configure.in:1.396.2.30
--- php4/configure.in:1.396.2.29 Mon Feb 10 12:12:16 2003
+++ php4/configure.in Tue Feb 11 16:11:51 2003
@@ -1,4 +1,4 @@
-dnl ## $Id: configure.in,v 1.396.2.29 2003/02/10 17:12:16 sniper Exp $ -*- sh -*-
+dnl ## $Id: configure.in,v 1.396.2.30 2003/02/11 21:11:51 sniper Exp $ -*- sh -*-
dnl ## Process this file with autoconf to produce a configure script.
divert(1)
@@ -1065,6 +1065,8 @@
PHP_SET_LIBTOOL_VARIABLE([--silent])
fi
+dnl libtool 1.4.3 needs this.
+PHP_SET_LIBTOOL_VARIABLE([--preserve-dup-deps])
test -z "$PHP_COMPILE" && PHP_COMPILE='$(LIBTOOL) --mode=compile $(COMPILE)
-c $<'
test -z "$CXX_PHP_COMPILE" && CXX_PHP_COMPILE='$(LIBTOOL) --mode=compile
$(CXX_COMPILE) -c $<'
Index: php4/build/buildcheck.sh
diff -u php4/build/buildcheck.sh:1.21 php4/build/buildcheck.sh:1.21.2.1
--- php4/build/buildcheck.sh:1.21 Wed Oct 30 06:42:22 2002
+++ php4/build/buildcheck.sh Tue Feb 11 16:11:51 2003
@@ -16,7 +16,7 @@
# | Sascha Schumann <sascha@schumann.cx> |
# +----------------------------------------------------------------------+
#
-# $Id: buildcheck.sh,v 1.21 2002/10/30 11:42:22 sas Exp $
+# $Id: buildcheck.sh,v 1.21.2.1 2003/02/11 21:11:51 sniper Exp $
#
echo "buildconf: checking installation..."
@@ -77,19 +77,25 @@
lt_pversion=
$libtool --version 2>/dev/null|sed -n -e 's/^[^0-9]*//' -e
1's/[- ].*//p'
if test "$lt_pversion" = ""; then
echo "buildconf: libtool not found."
-echo " You need libtool version 1.4 or newer installed"
+echo " You need libtool version 1.4.3 or newer installed"
echo " to build PHP from CVS."
exit 1
fi
lt_version=echo $lt_pversion|sed -e 's/\([a-z]*\)$/.\1/'
IFS=.; set $lt_version; IFS=' '
-if test "$1" -gt "1" || test "$2" -ge "4";
+if test "$3" = ""; then
+ third=0
+else
+ third=$3
+fi
+
+if test "$1" -gt "1" || test "$2" -ge "5" || (test
"$2" -ge "4" && test "$third" -ge "3")
then
echo "buildconf: libtool version $lt_pversion (ok)"
else
echo "buildconf: libtool version $lt_pversion found."
-echo " You need libtool version 1.4 or newer installed"
+echo " You need libtool version 1.4.3 or newer installed"
echo " to build PHP from CVS."
exit 1
fi